[问题]最新的2.6.24.3内核编译问题

为当前最终发行版之前的所有版本提供支持
回复
vvsd2002
帖子: 3
注册时间: 2008-03-12 20:55
送出感谢: 0
接收感谢: 0

[问题]最新的2.6.24.3内核编译问题

#1

帖子 vvsd2002 » 2008-03-17 22:32

各位大虾,最近下了linxu最新的内核2.6.24.3,安步骤重新编译后,结果启动失败!
查了好多网页一直没有找到合适的解决方法 !最近要用linux内核作实验!急死了!

我的linux是ubuntu7.10

解压后执行一下命令:
make xconfig
make bzImage && make modules
sudo make modules_install && sudo make install
进入/lib/modules/2.6.24.3/目录执行一下命令:
sudo mkinitramfs -o /boot/initrd.img-2.6.24.3

编译都能通过,最后的install命令也能正确运行
更改grub后,重新启动显示如下信息:
WARNING: Couldn't open directory /lib/modules/2.6.24.3: No such file or directory
FATAL: Could not open /lib/modules/2.6.24.3/modules.dep.temp for writing: No such file or directory

可/lib/modules/2.6.24.3确实在阿!郁闷!
vvsd2002
帖子: 3
注册时间: 2008-03-12 20:55
送出感谢: 0
接收感谢: 0

#2

帖子 vvsd2002 » 2008-03-18 11:41

这么多过客,没人帮忙吗?

也没有遇到同样问题的人吗?
nbdxkfq
帖子: 144
注册时间: 2007-01-10 23:56
送出感谢: 0
接收感谢: 0

#3

帖子 nbdxkfq » 2008-03-23 22:28

你试试建立/lib/modules/2.6.24.3这个文件夹,我在安装最后的.deb的时候也说没有某个文件夹,我自己去建了一个,然后就好用了,你试试
头像
flies
帖子: 167
注册时间: 2005-11-10 21:20
来自: 广西南宁
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 flies » 2008-03-23 22:31

你/boot是单独分区的吗?
其实一直在用gentoo…………
jcry
帖子: 60
注册时间: 2008-03-18 10:40
送出感谢: 0
接收感谢: 0

#5

帖子 jcry » 2008-03-24 11:04

高手,进来学习一下.....想问一下,,linux重新编译,用什么东西做编译器?
vvsd2002
帖子: 3
注册时间: 2008-03-12 20:55
送出感谢: 0
接收感谢: 0

#6

帖子 vvsd2002 » 2008-03-24 18:44

我的linux,是装在独立分区的!
我又重新编译了一下,用内核源码里默认的配置文件。make xconfig的时候什么也没有修改,
编译通过以后,重新启动问题解决了!

但是我把重新编译国的initrd.img文件,解压,打开看了一下,里面也没有需要的.dep压缩包!

所以,我怀疑内核还是用的本地硬盘上/lib/module/2.6.X.X下的文件

我以前之所以不行,估计是配置文件里硬盘没有选杂支持的组件!

谢谢大家的支持!@
nwpu043793
帖子: 39
注册时间: 2007-11-01 14:27
来自: 西北工业大学
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 nwpu043793 » 2008-04-05 21:19

我的问题和楼主一样,急需解决。
头像
bearscafe
帖子: 694
注册时间: 2007-05-05 23:11
送出感谢: 2 次
接收感谢: 0

Re: [问题]最新的2.6.24.3内核编译问题

#8

帖子 bearscafe » 2008-04-05 21:33

vvsd2002 写了:各位大虾,最近下了linxu最新的内核2.6.24.3,安步骤重新编译后,结果启动失败!
查了好多网页一直没有找到合适的解决方法 !最近要用linux内核作实验!急死了!



既然是用来做实验,还是用旧一点的内核比较合适。
头像
syrano
帖子: 4313
注册时间: 2007-10-06 18:40
送出感谢: 0
接收感谢: 5 次

#9

帖子 syrano » 2008-04-05 21:35

头像
yooh
帖子: 116
注册时间: 2008-01-02 22:16
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 yooh » 2008-05-25 8:55

menu.lst 写错了 。。。。。。自己好好检查下 对应的都写对了吗?
initrd 选项里改了吗?
回复

回到 “老旧版本支持”